<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:tp="http://www.oasis-open.org/committees/ebxml-cppa/schema/cpp-cpa-2_0.xsd"
                xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
                xsi:schemaLocation="http://www.oasis-open.org/committees/ebxml-cppa/schema/cpp-cpa-2_0.xsd                  http://www.oasis-open.org/committees/ebxml-cppa/schema/cpp-cpa-2_0.xsd"
                version="2.0">
   <xsl:param name="ParametersSourceA">file:///d:/CPA/parameters/multiparty.A.parameters.xml</xsl:param>
   <xsl:param name="ParametersSourceB">file:///d:/CPA/parameters/multiparty.B.parameters.xml</xsl:param>
   <xsl:param name="ParametersSourceC">file:///d:/CPA/parameters/multiparty.C.parameters.xml</xsl:param>
   <xsl:variable name="DeploymentStart">
      <xsl:copy-of select="document($ParametersSourceB)//Parameter[@name='DeploymentStart']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="DeploymentEnd">
      <xsl:copy-of select="document($ParametersSourceB)//Parameter[@name='DeploymentEnd']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="CpaId_BC">
      <xsl:copy-of select="document($ParametersSourceB)//Parameter[@name='CpaId_BC']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="PartyId_C">
      <xsl:copy-of select="document($ParametersSourceC)//Parameter[@name='PartyId_C']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="PartyIdType_C">
      <xsl:copy-of select="document($ParametersSourceC)//Parameter[@name='PartyIdType_C']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="EndpointUri_C">
      <xsl:copy-of select="document($ParametersSourceC)//Parameter[@name='EndpointUri_C']/child::text()"/>
   </xsl:variable>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:Start">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:copy-of select="$DeploymentStart"/>
      </xsl:copy>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:End">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:copy-of select="$DeploymentEnd"/>
      </xsl:copy>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/@tp:cpaid">
      <xsl:attribute name="tp:cpaid">
         <xsl:value-of select="$CpaId_BC"/>
      </xsl:attribute>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:PartyInfo[2]/tp:PartyId">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:copy-of select="$PartyId_C"/>
      </xsl:copy>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:PartyInfo[2]/tp:PartyId/@tp:type">
      <xsl:attribute name="tp:type">
         <xsl:value-of select="$PartyIdType_C"/>
      </xsl:attribute>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:PartyInfo[2]//tp:Endpoint/@tp:uri">
      <xsl:attribute name="tp:uri">
         <xsl:value-of select="$EndpointUri_C"/>
      </xsl:attribute>
   </xsl:template>
   <xsl:template match="@*|node()">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:apply-templates/>
      </xsl:copy>
   </xsl:template>
</xsl:stylesheet>