<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                xmlns:tp="http://www.oasis-open.org/committees/ebxml-cppa/schema/cpp-cpa-2_0.xsd"
                xmlns:ds="http://www.w3.org/2000/09/xmldsig#"
                xsi:schemaLocation="http://www.oasis-open.org/committees/ebxml-cppa/schema/cpp-cpa-2_0.xsd                  http://www.oasis-open.org/committees/ebxml-cppa/schema/cpp-cpa-2_0.xsd"
                version="2.0">
   <xsl:param name="ParametersSourceA">file:///d:/CPA/parameters/onecpa.A.parameters.xml</xsl:param>
   <xsl:param name="ParametersSourceB">file:///d:/CPA/parameters/onecpa.B.parameters.xml</xsl:param>
   <xsl:variable name="DeploymentStart">
      <xsl:copy-of select="document($ParametersSourceA)//Parameter[@name='DeploymentStart']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="DeploymentEnd">
      <xsl:copy-of select="document($ParametersSourceA)//Parameter[@name='DeploymentEnd']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="CpaId">
      <xsl:copy-of select="document($ParametersSourceA)//Parameter[@name='CpaId']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="PartyId">
      <xsl:copy-of select="document($ParametersSourceB)//Parameter[@name='PartyId']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="PartyIdType">
      <xsl:copy-of select="document($ParametersSourceB)//Parameter[@name='PartyIdType']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="EndpointUri">
      <xsl:copy-of select="document($ParametersSourceB)//Parameter[@name='EndpointUri']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="CompanyB_ABID6conf">
      <xsl:copy-of select="document($ParametersSourceB)//Parameter[@name='CompanyB_ABID6conf']/child::text()"/>
   </xsl:variable>
   <xsl:variable name="CompanyB_Cert">
      <xsl:copy-of select="document($ParametersSourceB)//Parameter[@name='CompanyB_Cert']/child::node()"/>
   </xsl:variable>
   <xsl:variable name="Retries">
      <xsl:copy-of select="document($ParametersSourceB)//Parameter[@name='Retries']/child::text()"/>
   </xsl:variable>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:Start">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:copy-of select="$DeploymentStart"/>
      </xsl:copy>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:End">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:copy-of select="$DeploymentEnd"/>
      </xsl:copy>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/@tp:cpaid">
      <xsl:attribute name="tp:cpaid">
         <xsl:value-of select="$CpaId"/>
      </xsl:attribute>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:PartyInfo[2]/tp:PartyId">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:copy-of select="$PartyId"/>
      </xsl:copy>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:PartyInfo[2]/tp:PartyId/@tp:type">
      <xsl:attribute name="tp:type">
         <xsl:value-of select="$PartyIdType"/>
      </xsl:attribute>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:PartyInfo[2]//tp:Endpoint/@tp:uri">
      <xsl:attribute name="tp:uri">
         <xsl:value-of select="$EndpointUri"/>
      </xsl:attribute>
   </xsl:template>
   <xsl:template match="tp:ThisPartyActionBinding[@tp:id='companyB_ABID6']//tp:BusinessTransactionCharacteristics/@tp:isConfidential">
      <xsl:attribute name="tp:isConfidential">
         <xsl:value-of select="$CompanyB_ABID6conf"/>
      </xsl:attribute>
   </xsl:template>
   <xsl:template match="tp:CollaborationProtocolAgreement/tp:PartyInfo[2]//tp:Certificate[@tp:certId='CompanyB_ServerCert']">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:copy-of select="$CompanyB_Cert"/>
      </xsl:copy>
   </xsl:template>
   <xsl:template match="tp:DocExchange[@tp:docExchangeId='docExchangeB1']/tp:ebXMLSenderBinding/tp:ReliableMessaging/tp:Retries">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:copy-of select="$Retries"/>
      </xsl:copy>
   </xsl:template>
   <xsl:template match="@*|node()">
      <xsl:copy>
         <xsl:apply-templates select="@*"/>
         <xsl:apply-templates/>
      </xsl:copy>
   </xsl:template>
</xsl:stylesheet>